class DEVSException(Exception):
    """
    DEVS specific exceptions
    """
    def __init__(self, message="not specified in source"):
        """
        Constructor

        :param message: error message to print
        """
        Exception.__init__(self, message)

    def __str__(self):
        """
        String representation of the exception
        """
        return "DEVS Exception: " + str(self.message)
